MozillaFirefox/mozilla.sh.in
branchfirefox34
changeset 820 419e95018725
parent 502 ba1be580e369
child 956 5353413a2411
child 1010 d1e06d9e5ef1
equal deleted inserted replaced
813:9e3063dcc69e 820:419e95018725
   129 done
   129 done
   130 
   130 
   131 if [ $moz_debug -eq 1 ]; then
   131 if [ $moz_debug -eq 1 ]; then
   132   tmpfile=`mktemp /tmp/mozargs.XXXXXX` || { echo "Cannot create temporary file" >&2; exit 1; }
   132   tmpfile=`mktemp /tmp/mozargs.XXXXXX` || { echo "Cannot create temporary file" >&2; exit 1; }
   133   trap " [ -f \"$tmpfile\" ] && /bin/rm -f -- \"$tmpfile\"" 0 1 2 3 13 15
   133   trap " [ -f \"$tmpfile\" ] && /bin/rm -f -- \"$tmpfile\"" 0 1 2 3 13 15
   134   echo -e "set args ${1+"$@"}\nrun" > $tmpfile
   134   echo "set args ${1+"$@"}" > $tmpfile
       
   135   echo "run" >> $tmpfile
   135   echo "$moz_debugger $MOZ_PROGRAM -x $tmpfile"
   136   echo "$moz_debugger $MOZ_PROGRAM -x $tmpfile"
   136   exec $moz_debugger "$MOZ_PROGRAM" -x $tmpfile
   137   exec $moz_debugger "$MOZ_PROGRAM" -x $tmpfile
   137 else
   138 else
   138   exec $MOZ_PROGRAM "$@"
   139   exec $MOZ_PROGRAM "$@"
   139 fi
   140 fi